Bug 32575 - univention-ucc-software-update führt für jedes zu installierende Paket apt-get update aus
univention-ucc-software-update führt für jedes zu installierende Paket apt-ge...
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Erik Damrose
Moritz Muehlenhoff
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 14:03 CEST by Frank Mehrtens
Modified: 2014-02-19 13:58 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Patch (362 bytes, patch)
2013-09-12 14:03 CEST, Frank Mehrtens
Details | Diff
Bild (273.83 KB, image/jpeg)
2013-09-12 14:11 CEST, Frank Mehrtens
Details
Patch to fix several issues in univention-ucc-software-update (5.35 KB, patch)
2014-02-13 09:38 CET, Janis Meybohm
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Mehrtens 2013-09-12 14:03:18 CEST
Created attachment 5429 [details]
Patch

Bedingt durch das "for I in $install" in der Datei univention-ucc-software-update wird unnötig oft apt-get update aufgerufen.

Die Paketlisten wurden schon an einer vorherigen Stelle aktualisiert, daher sollte das apt-get update in der Schleife an dieser Stelle überflüssig sein. 

Verteilt man per Software-Update Richtlinie viele Pakete, so verzögert sich der Start des Systems spürbar.
Comment 1 Frank Mehrtens 2013-09-12 14:11:12 CEST
Created attachment 5430 [details]
Bild
Comment 2 Moritz Muehlenhoff univentionstaff 2013-09-12 14:17:25 CEST
Should be checked for 1.1
Comment 3 Daniel Tröder 2013-12-25 15:25:10 CET
Für meinen Kunden mit geringer Bandbreite und hoher Latenz ist das ein großer Bug. Mit 26 Einträgen in der software policy dauert das booten zum grafischen Login geschlagene 15 Minuten!

Wenn ein fix während der Laufzeit von UCC 1.0-rev2 möglich wäre - wäre er sehr glücklich.
Comment 4 Janis Meybohm univentionstaff 2014-02-13 09:38:11 CET
Created attachment 5794 [details]
Patch to fix several issues in univention-ucc-software-update

This patch fixes several issues in univention-ucc-software-update:

* Run apt-get update only once (every 10 minutes)
* Fix language in commands (LANG=C is not enough for apt-get)
* Only remove packages that need to be removed
* Only install packages that need to be installed/updated
* Log all output and status messages to logfile
* Use timestamps in logfile

Added dependency to moreutils because of the use of "ts" (timestamps in logfile)
Comment 5 Erik Damrose univentionstaff 2014-02-13 11:36:07 CET
The patch will be applied with slight modifications. We can not depend on moreutils, because that will install perl and some libraries that need 30+MB of disc space. This is not possible on thin clients. Timestamps will be logged at the beginning and exit of the script.
Comment 6 Erik Damrose univentionstaff 2014-02-18 16:29:49 CET
Fixed in 
r47895 univention-corporate-client 1.0.24-5.83.201402181608
r47897 2014-02-18-univention-corporate-client.yaml
Comment 7 Moritz Muehlenhoff univentionstaff 2014-02-19 13:35:17 CET
The package list is now only updated once during a bigger update (e.g. the current mirror update). Logging has been improved as well.
Comment 8 Moritz Muehlenhoff univentionstaff 2014-02-19 13:58:07 CET
http://errata.univention.de/ucc/1.0/31.html